From 82f94f2056e554f37108e18be2c17f474dedbd5f Mon Sep 17 00:00:00 2001
From: Hannes Domani <ssbssa@yahoo.de>
Date: Fri, 13 Mar 2015 19:27:24 +0100
Subject: [PATCH 3/3] playlist: fetcher: fix memory leaks

---
 src/playlist/fetcher.c | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/src/playlist/fetcher.c b/src/playlist/fetcher.c
index 41e0c32..c162d78 100644
--- a/src/playlist/fetcher.c
+++ b/src/playlist/fetcher.c
@@ -169,6 +169,13 @@ void playlist_fetcher_Delete( playlist_fetcher_t *p_fetcher )
     vlc_cond_destroy( &p_fetcher->wait );
     vlc_mutex_destroy( &p_fetcher->lock );
 
+    FOREACH_ARRAY( playlist_album_t album, p_fetcher->albums )
+        free( album.psz_artist );
+        free( album.psz_album );
+        free( album.psz_arturl );
+    FOREACH_END();
+    ARRAY_RESET( p_fetcher->albums );
+
     free( p_fetcher );
 }
 
-- 
1.9.4.msysgit.2

